<div class="offset">
    <mat-form-field>
        <mat-label>Search for Your Teammates</mat-label>
        <input matInput (keyup)="applyFilter($event)" placeholder="Search by name, email, goals, skills or description" #input>
    </mat-form-field>

    <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

        <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef> Name. </th>
            <td mat-cell *matCellDef="let member"> {{member.name}} </td>
        </ng-container>

        <ng-container matColumnDef="email">
            <th mat-header-cell *matHeaderCellDef> Email </th>
            <td mat-cell *matCellDef="let member"> {{member.email}} </td>
        </ng-container>

        <ng-container matColumnDef="goals">
            <th mat-header-cell *matHeaderCellDef> Goals </th>
            <td mat-cell *matCellDef="let member"> {{member.goals}} </td>
        </ng-container>

        <ng-container matColumnDef="skills">
            <th mat-header-cell *matHeaderCellDef> Skills </th>
            <td mat-cell *matCellDef="let member"> {{member.skills}} </td>
        </ng-container>

        <ng-container matColumnDef="description">
            <th mat-header-cell *matHeaderCellDef> Description </th>
            <td mat-cell *matCellDef="let member"> {{member.description}} </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

        <!-- Row shown when there is no matching data. -->
        <tr class="mat-row" *matNoDataRow>
            <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
        </tr>
    </table>
</div>